///////////////
// IanniX
///////////////

////////////////////////////
// NXAPPLICATION FILE
////////////////////////////

#ifndef NXAPPLICATION_H
#define NXAPPLICATION_H

#include "../widgets/NxView.h"
#include <qevent.h>
#include <qurl.h>

#include <Carbon/Carbon.h>
#include <qapplication.h>

class NxView ;

class NxApplication : public QApplication
{
public:
    NxApplication(int argc, char *argv[]);
    ~NxApplication();
    void setNxView(NxView *nxViewer);
    
protected:
    void customEvent(QEvent *ev);
    
private:
    static OSErr appleEventHandler(const AppleEvent *ae, AppleEvent *, long handlerRefcon);
    NxView *viewer;
};

#endif

