////////////////////////////////////////////
//  IanniX
////////////////////////////////////////////
// 	Simple OSC Message Listener
////////////////////////////////////////////

#ifndef NXLISTENER_H
#define NXLISTENER_H

#include <iostream>

#include "OSCin/osc/OscReceivedElements.h"
#include "OSCin/osc/OscPacketListener.h"
#include "OSCin/ip/IpEndpointName.h"

#include "../graphics/opengl/NxGLScore.h"
#include "../widgets/NxOscConsole.h"

class NxGLScore ;
class NxScore ;

class NxListener : public osc::OscPacketListener {

public:
	
	NxListener( NxGLScore *parent, NxOscConsole *inConsole ) ;
	
	NxGLScore		*pScore ;
	NxOscConsole	*oscConsole ;
	
	virtual void ProcessBundle( const osc::ReceivedBundle& b, const IpEndpointName& remoteEndpoint ) ;
	virtual void ProcessMessage( const osc::ReceivedMessage& m, const IpEndpointName& ) ;
	
	virtual void sendMessageToConsole( const osc::ReceivedMessage& m, bool isOk ) ;

};

#endif

