///////////////
// IanniX
///////////////

////////////////////////////
// NxPainter
////////////////////////////

#ifndef NXPAINTER_H
#define NXPAINTER_H

#include <QtGui>
#include <stdlib.h>
#include "../base/atoms/NxTypes.h"

class NxPainter : public QWidget
{
 public:
	NxPainter( QWidget *parent=0 );
  	~NxPainter();
 
	void setStates( State* inStates, int inNbStates );
	
 protected:
  	void paintEvent( QPaintEvent * );
  	void drawSinus( int orig, int end, int amp, int freq );
  	void drawCosinus( int orig, int end, int amp, int freq );
  	void drawLogarithm( int orig, int end, int amp );
	
	State* states;
	int nbStates;
};

#endif
