///////////////
// IanniX
///////////////

////////////////////////////
// MAIN FILE
////////////////////////////

#include "NxApplication.h"
#include "../widgets/NxView.h"

// IanniX Main Instance
NxApplication* app;
NxView* partitionViewer;

int main( int argc, char **argv )
{	
	app = new NxApplication( argc, argv );

	app->setStyle(new QPlastiqueStyle);
	app->setDoubleClickInterval(300) ;
	QFont f("Lucida Grande", 11);
	QApplication::setFont(f) ;
	
	
  	// Initializing Score Viewer
	partitionViewer = new NxView();
	partitionViewer->show();
	
	app->setNxView( partitionViewer );
	
	return app->exec();
}

