///////////////
// IanniX
///////////////

////////////////////////////
// NxControlCenterDelegate.h
////////////////////////////

#ifndef NXCONTROLCENTERDELEGATE_H
#define NXCONTROLCENTERDELEGATE_H

#include <QItemDelegate>
#include <QModelIndex>
#include <QObject>
#include <QSize>
#include <QSpinBox>
#include <QtGui>

#include "NxControlCenter.h"

class NxControlCenter ;

class NxControlCenterDelegate : public QItemDelegate
 {
     Q_OBJECT

 public:
 
	 NxControlCenter *controlCenter ;
	 
     NxControlCenterDelegate( QObject *parent = 0 ) ;
	 
	 void	setObjectType( int inType ) ;
	 int	objType ;

     QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                           const QModelIndex &index) const;

     void setEditorData(QWidget *editor, const QModelIndex &index) const;
     void setModelData(QWidget *editor, QAbstractItemModel *model,
                       const QModelIndex &index) const;

     void updateEditorGeometry(QWidget *editor,
         const QStyleOptionViewItem &option, const QModelIndex &index) const;
		 
 };

 #endif